Bug 498457 - (ati-xpress200M-fail) KMS:RS480/RC410:X200M F11/F12 black screen / fails
KMS:RS480/RC410:X200M F11/F12 black screen / fails
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
12
All Linux
low Severity urgent
: ---
: ---
Assigned To: Jerome Glisse
Fedora Extras Quality Assurance
https://fedoraproject.org/wiki/Common...
: CommonBugs, Triaged
: 450748 464383 467983 470797 475099 498727 499064 505467 506406 507176 509372 (view as bug list)
Depends On:
Blocks: fedora-x-target
  Show dependency treegraph
 
Reported: 2009-04-30 11:28 EDT by Konrad Mosoń
Modified: 2010-01-12 04:27 EST (History)
40 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-11 07:22:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Xorg.0.log file from fail X session (33.71 KB, text/plain)
2009-04-30 11:28 EDT, Konrad Mosoń
no flags Details
Photo from camera with my laptop screen when bug apperars (1.04 MB, image/jpeg)
2009-04-30 11:30 EDT, Konrad Mosoń
no flags Details
Image of screen when X hangs during F11 preview install (148.32 KB, image/jpeg)
2009-05-03 19:53 EDT, Mitch Davis
no flags Details
Image of screen when X hangs while running system-config-display --redisplay in F11 preview (164.73 KB, image/jpeg)
2009-05-03 19:54 EDT, Mitch Davis
no flags Details
My Xorg.0.log file (no apparent relevant differences to OP) (31.73 KB, text/plain)
2009-05-03 20:59 EDT, Mitch Davis
no flags Details
X log (33.59 KB, text/plain)
2009-05-13 00:27 EDT, Nicholas Coltharp
no flags Details
Corrupted screen on X start (note mouse cursor) (2.56 MB, image/jpeg)
2009-05-21 23:42 EDT, Mitch Davis
no flags Details
Xorg.0.log with modeset (F11 x86_64 - ATI Radeon 200M) (48.73 KB, text/plain)
2009-05-26 21:37 EDT, Renato de Oliveira Diogo
no flags Details
Xorg.0.log without modeset (F11 x86_64 - ATI Radeon 200M) (70.34 KB, text/plain)
2009-05-26 21:38 EDT, Renato de Oliveira Diogo
no flags Details
Xorg.0.log with nomodeset (37.91 KB, text/plain)
2009-06-22 13:19 EDT, Marek Lipus
no flags Details
Xorg.0.log without nomodeset (28.11 KB, text/plain)
2009-06-22 13:20 EDT, Marek Lipus
no flags Details
Kernel failure (4.46 KB, text/plain)
2009-06-22 13:22 EDT, Marek Lipus
no flags Details
unreadable text screencap (490.87 KB, image/jpeg)
2009-06-30 19:21 EDT, Pete Zaitcev
no flags Details
Xorg log for Fedora 12 alpha on Radeon Xpress 200M RC410 (162.81 KB, text/plain)
2009-08-28 17:09 EDT, Alex Villacís Lasso
no flags Details
dmesg on Lenovo with X200 (31.91 KB, text/plain)
2009-11-10 17:07 EST, Richard Haakma
no flags Details
dmesg from Lenovo X200 post crash (42.62 KB, text/plain)
2009-11-10 17:12 EST, Richard Haakma
no flags Details
Xorg log (72.54 KB, application/octet-stream)
2009-11-16 12:16 EST, António Lima
no flags Details
lspci (8.36 KB, text/plain)
2009-11-16 12:17 EST, António Lima
no flags Details
dmesg (40.42 KB, application/octet-stream)
2009-11-23 07:42 EST, António Lima
no flags Details

  None (edit)
Description Konrad Mosoń 2009-04-30 11:28:57 EDT
Created attachment 341944 [details]
Xorg.0.log file from fail X session

Description of problem:
Can't run normally X Server. I see only black-white lines (see attachment). Can't do anything. Can't login, can't change to TTY terminal (Ctrl+Alt+F2 to F6). Can only move mouse.

  Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.12.2-7.fc11.i586
kernel-2.6.29.1-111.fc11.i586
xorg-x11-server-Xorg-1.6.1-6.fc11.i586

  How reproducible:
Always when i use "radeon" X driver.

  Steps to Reproduce:
1. Buy ATI Xpress 200M Card
2. Install Fedora 11 Preview (i installed Beta and updated it to Preview)
3. Run Fedora. When X should be loaded you will see this bug.

This bug don't appears on F11 Beta LiveCD.
  
  Actual results:
Black-white lines on screen. (see attachment)

  Expected results:
GDM login screen

  Additional info:
Xorg.0.log and Photo of bug in attachments.

X crashes also with "nomodeset" kernel parameter.
Comment 1 Konrad Mosoń 2009-04-30 11:30:30 EDT
Created attachment 341945 [details]
Photo from camera with my laptop screen when bug apperars
Comment 2 Mitch Davis 2009-05-03 01:55:25 EDT
I am getting a similar problem when installing F11 Preview.  My laptop also has a 200M ATI chip.  I noticed a kernel oops in the context of modprobe, I'll see if I can get the details...
Comment 3 Konrad Mosoń 2009-05-03 13:15:12 EDT
I disabled SELinux in my system, to test if it is problem with SELinux contents, but problem appears still.
Now I'm working on "vesa" driver with 800x600 resolution unfortunately.

"fglrx" currently can't be driver for ATI Xpress 200M, because ATI stopped support for this card.
Comment 4 Mitch Davis 2009-05-03 19:51:37 EDT
I think this bug is the same as bug 464383, which I reported last year, because the visual damage on the screen looks the same.

Note that in F9, xorg-x11-drv-ati-6.8.0-14.fc9.i386 works, but xorg-x11-drv-ati-6.8.0-19.fc9.i386 does not.  So something changed in there.  (and -19 is the most recent version for F9)

I installed F11 Preview using VESA.  Then after rebooting into F11, I ran system-config-display --reconfig.  The same problem happens: White bars, and the mouse moves.  But the Caps Lock key (nor any key, including Ctrl-Alt-BkSp and Ctrl-Alt-Del) doesn't work.  The power button shuts Linux down in an orderly fashion.
Comment 5 Mitch Davis 2009-05-03 19:53:18 EDT
Created attachment 342260 [details]
Image of screen when X hangs during F11 preview install
Comment 6 Mitch Davis 2009-05-03 19:54:56 EDT
Created attachment 342261 [details]
Image of screen when X hangs while running system-config-display --redisplay in F11 preview

Note, almost identical to bug 464383
Comment 7 Mitch Davis 2009-05-03 20:54:22 EDT
I reproduced the kernel "BUG" I saw when installing F11 Preview.

Note, it doesn't happen every time.  I am not using nomodeset.

Note also this is not from when X starts, this is in the bootup where text switches from 80x25 to 160x50.  Because of this bug, the text resolution didn't change, it stayed at 80x25.

It may or may not be related to the problems where X shows white bars.

BUG: unable to handle kernel NULL pointer dereference at 00000014
IP: [<ec9298a6>] radeon_set_pcigart+0x32b/0x1a32 [radeon]
*pdpt = 000000002a6a5001 *pde = 0000000000000000 
Oops: 0000 [#1] SMP 
last sysfs file: /sys/module/drm/initstate
Modules linked in: radeon(+) drm i2c_algo_bit i2c_core
Pid: 43, comm: modprobe Not tainted (2.6.29.1-111.fc11.i686.PAE #1) Satellite A100
Pid: 43, comm: modprobe Not tainted (2.6.29.1-111.fc11.i686.PAE #1) Satellite A100 EIP: 0060:[<ec9298a6>] EFLAGS: 00010246 CPU: 0
EIP is at radeon_set_pcigart+0x32b/0x1a32 [radeon]
EAX: 00000000 EBX: ea6b5800 ECX: ea5e8b60 EDX: 999134ea
ESI: 00000000 EDI: 00001000 EBP: ea6b9df8 ESP: ea6b9dec
DS: 007b ES: 007b FS: 00d8 GS: 0033 SS: 0068
Process modprobe (pid: 43, ti=ea6b8000 task=ea620000 task.ti=ea6b8000)
Stack:
ea6b5800 ea6b4800 00001000 ea6b9e14 ec93cfa2 00002000 ea6b5800 ea6b5800
ea6b5800 00000000 ea6b9e2c ec92d365 ea6b4800 ea6b4800 00000000 ec995e34
ea6b9e50 ec735318 00000000 ec996c38 ea6b4aac eb7df800 eb7df800 ec995f68
Call Trace:
[<ec93cfa2>] ? radeon_gem_mm_init+0x37f/0x3d8 [radeon]
[<ec92d365>] ? radeon_driver_load+0x599/0x608 [radeon]
[<ec735318>] ? drm_get_dev+0x318/0x3dc [drm]
[<ec94f72e>] ? radeon_pci_probe+0x12/0x95 [radeon]
[<c057352c>] ? local_pci_probe+0x13/0x15
[<c0573f2f>] ? pci_device_probe+0x4b/0x6e
[<c05eff42>] ? driver_probe_device+0xa1/0x119
[<c05f000b>] ? __driver_attach+0x51/0x70
[<c05ef925>] ? bus_for_each_dev+0x40/0x68
[<c05efddc>] ? driver_attach+0x19/0x1b
[<c05effba>] ? __driver_attach+0x0/0x70
[<c05ef397>] ? bus_add_driver+0x9a/0x1ad
[<c05f01cb>] ? driver_register+0x74/0xd8
[<c057422c>] ? __pci_register_driver+0x3d/0x9d
[<ec731890>] ? drm_init+0x63/0xbb [drm]
[<ec9a0061>] ? radeon_init+0x61/0x63 [radeon]
[<c040304f>] ? do_one_initcall+0x4f/0x127
[<ec9a0000>] ? radeon_init+0x0/0x63 [radeon]
[<c07199b3>] ? notifier_call_chain+0x26/0x48
[<c044c117>] ? __blocking_notifier_call_chain+0x45/0x51
[<c0459179>] ? sys_init_module+0x8b/0x18a
[<c040945f>] ? sysenter_do_call+0x12/0x34
Code: 42 70 8b 83 74 03 00 00 8b 50 14 b8 00 08 04 42 89 42 74 eb 70 83 e8 10 8b 8b 74 03 00 00 83 f8 01 77 38 8b 51 8b 83 74 03 00 00 <8b> 50 14 b8 ff 00 00 00 89 82 68 01 00 00 eb 2a 8b 51 14 b8 2b 
EIP: [<ec9298a6>] radeon_set_pcigart+0x32b/0x1a32 [radeon] SS:ESP 0068:ea6b9dec
---[ end trace 5aa99c47a4c88edb ]---
Comment 8 Mitch Davis 2009-05-03 20:59:15 EDT
Created attachment 342264 [details]
My Xorg.0.log file (no apparent relevant differences to OP)

The only differences I see between this Xorg.0.log file and the one the OP attached, is that my modelines are 1280x1024, whereas his are 1024x768.
Comment 9 Konrad Mosoń 2009-05-06 13:37:51 EDT
Today update:
xorg-x11-drv-ati-6.12.2-11.fc11.i586
kernel-PAE-2.6.29.1-126.fc11.i686
kernel-2.6.29.2-126.fc11.i586

Repairs this fails, BUT...

When i'm booting with kernel modesetting (i think?) normally, i have lots of GLX Extenstions, but when i botting with "nomodeset" kernel parameter, i see only:

16 GLX Visuals
   visual  x  bf lv rg d st colorbuffer ax dp st accumbuffer  ms  cav
 id dep cl sp sz l  ci b ro  r  g  b  a bf th cl  r  g  b  a ns b eat
----------------------------------------------------------------------
0x21 24 tc  0 32  0 r  y  .  8  8  8  8  0 24  8  0  0  0  0  0 0 None
0x22 24 dc  0 32  0 r  y  .  8  8  8  8  0 24  8  0  0  0  0  0 0 None
0x65 24 tc  0 32  0 r  .  .  8  8  8  8  0 24  0  0  0  0  0  0 0 None
0x66 24 tc  0 32  0 r  .  .  8  8  8  8  0 24  0 16 16 16 16  0 0 Slow
0x67 24 tc  0 32  0 r  y  .  8  8  8  8  0 24  0 16 16 16 16  0 0 Slow
0x68 24 tc  0 32  0 r  .  .  8  8  8  8  0 24  8  0  0  0  0  0 0 None
0x69 24 tc  0 32  0 r  .  .  8  8  8  8  0 24  8 16 16 16 16  0 0 Slow
0x6a 24 tc  0 32  0 r  y  .  8  8  8  8  0 24  8 16 16 16 16  0 0 Slow
0x6b 24 dc  0 32  0 r  .  .  8  8  8  8  0 24  0  0  0  0  0  0 0 None
0x6c 24 dc  0 32  0 r  .  .  8  8  8  8  0 24  0 16 16 16 16  0 0 Slow
0x6d 24 dc  0 32  0 r  y  .  8  8  8  8  0 24  0  0  0  0  0  0 0 None
0x6e 24 dc  0 32  0 r  y  .  8  8  8  8  0 24  0 16 16 16 16  0 0 Slow
0x6f 24 dc  0 32  0 r  .  .  8  8  8  8  0 24  8  0  0  0  0  0 0 None
0x70 24 dc  0 32  0 r  .  .  8  8  8  8  0 24  8 16 16 16 16  0 0 Slow
0x71 24 dc  0 32  0 r  y  .  8  8  8  8  0 24  8 16 16 16 16  0 0 Slow
0x54 32 tc  0 32  0 r  y  .  8  8  8  8  0 24  0  0  0  0  0  0 0 None

16 GLXFBConfigs:
   visual  x  bf lv rg d st colorbuffer ax dp st accumbuffer  ms  cav
 id dep cl sp sz l  ci b ro  r  g  b  a bf th cl  r  g  b  a ns b eat
----------------------------------------------------------------------
0x55  0 tc  0 32  0 r  .  .  8  8  8  8  0 24  0  0  0  0  0  0 0 None
0x56  0 tc  0 32  0 r  .  .  8  8  8  8  0 24  0 16 16 16 16  0 0 Slow
0x57  0 tc  0 32  0 r  y  .  8  8  8  8  0 24  0  0  0  0  0  0 0 None
0x58  0 tc  0 32  0 r  y  .  8  8  8  8  0 24  0 16 16 16 16  0 0 Slow
0x59  0 tc  0 32  0 r  .  .  8  8  8  8  0 24  8  0  0  0  0  0 0 None
0x5a  0 tc  0 32  0 r  .  .  8  8  8  8  0 24  8 16 16 16 16  0 0 Slow
0x5b  0 tc  0 32  0 r  y  .  8  8  8  8  0 24  8  0  0  0  0  0 0 None
0x5c  0 tc  0 32  0 r  y  .  8  8  8  8  0 24  8 16 16 16 16  0 0 Slow
0x5d  0 dc  0 32  0 r  .  .  8  8  8  8  0 24  0  0  0  0  0  0 0 None
0x5e  0 dc  0 32  0 r  .  .  8  8  8  8  0 24  0 16 16 16 16  0 0 Slow
0x5f  0 dc  0 32  0 r  y  .  8  8  8  8  0 24  0  0  0  0  0  0 0 None
0x60  0 dc  0 32  0 r  y  .  8  8  8  8  0 24  0 16 16 16 16  0 0 Slow
0x61  0 dc  0 32  0 r  .  .  8  8  8  8  0 24  8  0  0  0  0  0 0 None
0x62  0 dc  0 32  0 r  .  .  8  8  8  8  0 24  8 16 16 16 16  0 0 Slow
0x63  0 dc  0 32  0 r  y  .  8  8  8  8  0 24  8  0  0  0  0  0 0 None
0x64  0 dc  0 32  0 r  y  .  8  8  8  8  0 24  8 16 16 16 16  0 0 Slow


glxgears shows only black screen...

What's the problem now?

When i boot with kernel mode setting (withOUT "nomodeset") opening firefox freezes computer... I couldn't find any compromis with this...

In conclusion:

With kernelmodesetting:
  I have 3D (partly... glxgears about 50fps freezing), but running Firefox freezes computer.

With "nomodeset" kernel parameter:
  Direct rendering: Yes, but can't see any 3D images. Firefox workings great.

firefox-3.5-0.20.beta4.fc11.i586

Thanks for repair.
Comment 10 Nicholas Coltharp 2009-05-13 00:21:06 EDT
*** Bug 499064 has been marked as a duplicate of this bug. ***
Comment 11 Nicholas Coltharp 2009-05-13 00:27:53 EDT
Created attachment 343693 [details]
X log

I'm having the same problem on my Toshiba Satellite A135-S2386. I managed to switch to a terminal login before my keys stopped working and attached my Xorg.0.log here.
Comment 12 Mitch Davis 2009-05-13 10:29:58 EDT
Starting X with the radeon driver now works for me.  I can spend as long as I like using it, using lots of programs, no problem.  But my machine hangs seconds to minutes after starting Firefox.

It seems it takes a few seconds to fully lock up the computer.

Like Nicholas, I was able to switch VTs just when the problem first appeared, and it went back to text mode.  But very shortly afterwards the keyboard became unresponsive.
Comment 13 Mitch Davis 2009-05-13 10:31:11 EDT
Dave, what can we do in the way of getting you some helpful debug information?
Comment 14 Mitch Davis 2009-05-13 10:35:41 EDT
Is it work reassigning this to X/OpenGL Maintenance List (xgl-maint@redhat.com)?
Comment 15 Mitch Davis 2009-05-13 10:39:55 EDT
Conrad and Nicholas, do you also have bug 498852 - no VTs in runlevel 5?

This is with the vesa driver.
Comment 16 Mitch Davis 2009-05-13 12:42:23 EDT
Because it seems to take a few seconds to lock up, I did an experiment.

 - Erase the .mozilla dir
 - Start firefox
 - Go to about:blank

(lock-up starts to happen)

 - Click on Firefox's close button

The lock-up doesn't happen, and X becomes responsive again.

Is it possible that Firefox is triggering some poorly written code in the video driver which chews up all the CPU time so badly that it appears the machine has hung?

If this is the case, is there a way of generating some kind of exception or something, so we can find out what code it's in?  Alt-SysRq or something?  

Can someone advise me on what I can do next?

Thank you.
Comment 17 Mitch Davis 2009-05-13 21:46:41 EDT
Please tell me how to get some debug information.
Comment 18 Mitch Davis 2009-05-16 20:23:37 EDT
I tried xorg-x11-drv-ati 6.12.2-14 as suggested in bug 500728.  This fixes the problem for me - X starts up ok, and Firefox no longer hangs the system.

Conrad and Nicholas, does -14 help you too?

  http://koji.fedoraproject.org/koji/packageinfo?packageID=95
Comment 19 Nicholas Coltharp 2009-05-17 19:03:32 EDT
How do I load that while I'm running off a Live CD?
Comment 20 Mitch Davis 2009-05-17 19:36:13 EDT
Good question, I don't know.
Comment 21 Mitch Davis 2009-05-17 19:40:01 EDT
I have been using xorg-x11-drv-ati 6.12.2-14.  One Firefox tab works ok, but if I add more tabs, my laptop locks up.  8 tabs will do it :-(

This is with xorg-x11-drv-ati 6.12.2-14.  I don't get the same problem with the vesa driver.  When the system has locked up, there's no keyboard response (caps lock or VT change).  The mouse still continues to move, and if I press the Power button, the hard disk light flashes (first press only) but the machine doesn't shut down.

So it appears that xorg-x11-drv-ati 6.12.2-14 improves things, but there are still problems.

What can I do to get information which would be useful to debug this problem?
Comment 22 Mitch Davis 2009-05-21 21:51:26 EDT
I just tried xorg-x11-drv-ati-6.12.2-15 and kernel-PAE-2.6.29.3-155, no luck.  Write up at bug 501095.
Comment 23 Mitch Davis 2009-05-21 23:42:49 EDT
Created attachment 345055 [details]
Corrupted screen on X start (note mouse cursor)

This is with xorg-x11-drv-ati-6.12.2-15 and kernel-PAE-2.6.29.3-155.
Comment 24 Renato de Oliveira Diogo 2009-05-23 15:58:35 EDT
In my Acer Aspire 5100-5327, I install the F11 prevew live-CD x86_64.
When I use the Firefox, my system frezze, only mouse I can moved.
So I put the nomodeset in the kernel parameter and the system is work perfect.
The last updated in yesterday (05/22).
Comment 25 b.tataroiu 2009-05-24 03:25:48 EDT
This also affects me, i'm on a HP nx6325 laptop and i remember the exact same thing happened with Fedora 10. I assume it's not the same problem, or else it would have been fixed by now. Everything works fine with nomodeset.
Comment 26 Mitch Davis 2009-05-24 18:56:37 EDT
Renato de Oliveira Diogo and b.tataroiu, what graphics chip do you have in your computer?  Can you run "lspci | grep VGA" and put the results here?
Comment 27 b.tataroiu 2009-05-25 05:14:52 EDT
"01:05.0 VGA compatible controller: ATI Technologies Inc RS482 [Radeon Xpress 200M]"
Comment 28 Renato de Oliveira Diogo 2009-05-25 08:09:00 EDT
The same above

===
01:05.0 VGA compatible controller: ATI Technologies Inc RS482 [Radeon Xpress 200M]
===
Comment 29 Matěj Cepl 2009-05-25 08:50:57 EDT
(In reply to comment #26)
> Renato de Oliveira Diogo and b.tataroiu, what graphics chip do you have in your
> computer?  Can you run "lspci | grep VGA" and put the results here?  

It is much more useful (and less painful for users usually) is to pick whole /var/log/Xorg.0.log ... you get this and all other relevant information for cheap.

Reporter, could we get one, please?
Comment 30 Matěj Cepl 2009-05-25 18:54:53 EDT
*** Bug 498727 has been marked as a duplicate of this bug. ***
Comment 31 Mitch Davis 2009-05-25 19:13:47 EDT
Hi Matej,

Not sure exactly what info you're after - this info is already attached to this bug, and to bug 498727.  On the off-chance that something relevant has changed, would you like someone to resubmit their Xorg.0.log?
Comment 32 Matěj Cepl 2009-05-26 06:59:12 EDT
(In reply to comment #31)
> Not sure exactly what info you're after - this info is already attached to this
> bug, and to bug 498727.  On the off-chance that something relevant has changed,
> would you like someone to resubmit their Xorg.0.log?  

Sorry my mistake. Clearing needinfo flag.
Comment 33 Matěj Cepl 2009-05-26 06:59:28 EDT
(In reply to comment #31)
> Not sure exactly what info you're after - this info is already attached to this
> bug, and to bug 498727.  On the off-chance that something relevant has changed,
> would you like someone to resubmit their Xorg.0.log?  

Sorry my mistake. Clearing needinfo flag.
Comment 34 Mitch Davis 2009-05-26 10:06:45 EDT
As this is a rant, it can be safely ignored.  Those who are easily pissed off would be advised to skip it.

This bug is an F11 show-stopper for what appears to be a growing number of people with has-an-ATI-200M-inside laptops.

I originally filed it at the end of April, and it was assigned to someone who has been on holiday most of May, and won't be back until the end of the month, and is likely to have a large catch-up when he does:

  http://airlied.livejournal.com/66515.html

Since I'm being a jerk, I'll also point out bug 464383, which is a very similar bug I filed about the 200M support suddenly breaking in F9, some eight months ago.  The bug was also assigned to Dave.  However there are no Bugzilla transactions against Dave's name for this bug.  Despite providing all the information I was asked to provide, and F9 being a supported version, it now appears this bug is going nowhere.  It's sitting there assigned to Dave, and getting ignored.

I also sent private email to Matej and Kyle (hi Matej, I know you have a tough job) a week ago asking if there was further information I could provide to help find and fix the problem, but no answer.

Previously, I set a "needinfo" asking for clarification on what further information was needed.  That "needinfo" has now been removed, with no response on what information is needed.

I (and I'm sure the other reporters) really want to help test F11!  What will happen when such a showstopper ships as part of F11?  Anyone who has a laptop with a 200M will be in trouble when they try F11.

Is it possible to get someone not on holidays to look at this bug please?  

Thanks,

Mitch.
Comment 35 Renato de Oliveira Diogo 2009-05-26 21:37:38 EDT
Created attachment 345547 [details]
Xorg.0.log with modeset (F11 x86_64 - ATI Radeon 200M)

This file is Xorg.0.log with the modeset enabled.
Comment 36 Renato de Oliveira Diogo 2009-05-26 21:38:52 EDT
Created attachment 345548 [details]
Xorg.0.log without modeset (F11 x86_64 - ATI Radeon 200M)

This file is the Xorg.0.log with modeset disabled.
Comment 37 b.tataroiu 2009-05-27 03:56:17 EDT
I think it would be wise to turn kernel modesetting off by default for these cards on release, so people don't get their installer / installed system hang. Not everybody reads through the release notes and tries all the boot options when their installer keeps hanging in the middle (this was happening with Fedora 10 with these graphics cards, I'm not sure if this is the case with the current drivers). I understand that fedora is about cutting edge free software, but this card clearly doesn't work well with the current code :) and if it's not going to get fixed by release disabling it seems ok and necessary to me.
Comment 38 Tibor Futo 2009-05-27 04:04:41 EDT
Hi, could anyone tell me when and how to turn off modesetting? (Sorry for the rookie question....) I would like to try this with rawhide, on a plain Radeon 200.
Comment 39 Mitch Davis 2009-05-29 08:35:19 EDT
Tibor: If you have already installed Fedora, you can pass "nomodeset" as a kernel parameter from grub.  (If you don't know how to do this, or how to make it permanent, please email me)
Comment 40 Bug Zapper 2009-06-09 10:53:34 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 41 Konrad Mosoń 2009-06-12 13:14:02 EDT
I tested Ubuntu 9.04 and... there's "radeon" driver works perfectly. Also compiz with running games (yes! without lower fps) working without any problems...

Well... what and where is so different between Ubuntu and Fedora that Fedora can't run X with "radeon", and Ubuntu works without any problems?
Comment 42 b.tataroiu 2009-06-12 13:33:05 EDT
It's not really a fair comparison since Fedora has a lot more cutting edge (testing) features enabled in their driver such as DRI2 and kernel mode-setting. If you do boot fedora with the nomodeset kernel parameter, these 2 features are disabled and the driver works just as well as it does in Ubuntu.
Comment 43 Jason Wilson 2009-06-16 18:38:56 EDT
Just tried install Fedora Core 11 onto my Toshiba Satellite L20 and running into same problem (corrupt screen when entering any X based sessions).

Got install completed by using the VESA driver, but obviously very slow.

Have tried the 'nomodeset' kernel parameter and does not make a difference for me - either way screen comes up 'corrupted' (very similar to already attached screenshots) and keyboard non-responsive. Cant change VT, cant kill X, cant reboot through Ctrl-Alt-Del combination.

Running "lspci | grep VGA" gives:
01:05.0 VGA compatible controller: ATI Technologies Inc RC410 [Radeon Xpress
200M]

On a related note, everything worked fine with Fedora 10 - including Plymouth animated boot sequence.
Comment 44 Mitch Davis 2009-06-16 19:30:41 EDT
xorg-x11-drv-ati-6.12.2-16.fc11 has been released:

  http://koji.fedoraproject.org/koji/packageinfo?packageID=95

I haven't tried it so I don't know if it fixes the problem, just thought I'd share it.

Like Jason, nomodeset doesn't work for me either :-(
Comment 45 John Ellson 2009-06-17 13:20:07 EDT
xorg-x11-drv-ati-6.12.2-16.fc11 doesn't fix it for me,  but "nomodeset" does.

ATI RS480 [radeon Xpress 200G Series]

firefox-3.5-0.20.beta4.fc11.x86_64

Without nomodeset, desktop comes up ok, but start firefox and then instant lockup.
The mouse cursor still moves, but its animation is frozen.   Nothing responds.
The underlying system is still livthough e, I can ssh in.  The Xorg process is running at 100% of CPU, but killing it doesn't free up the display.   Neither does killing gnome-session.

With "nomodeset" firefox runs without problems.

From Comments #43 & #44 it sounds like there are two different problems here.
Comment 46 Chris A 2009-06-18 19:39:32 EDT
I'm afraid that 
I am also using ATI Xpress 200M chipset on a Amilo Pa1510.

01:05.0 VGA compatible controller: ATI Technologies Inc RS482 [Radeon Xpress 200M]

The freezing bug when using Firefox 3.5 beta 4 still exists, even when browsing. The new package xorg-x11-drv-ati-6.12.2-16.fc11 doesn't fix the issue.
Comment 47 Chris A 2009-06-18 19:40:07 EDT
I'm afraid that the bug is not solved ... I am also using ATI Xpress 200M chipset on a Amilo Pa1510.

01:05.0 VGA compatible controller: ATI Technologies Inc RS482 [Radeon Xpress 200M]

The freezing bug when using Firefox 3.5 beta 4 still exists, even when browsing. The new package xorg-x11-drv-ati-6.12.2-16.fc11 doesn't fix the issue.
Comment 48 Matěj Cepl 2009-06-22 09:53:29 EDT
*** Bug 506406 has been marked as a duplicate of this bug. ***
Comment 49 Marek Lipus 2009-06-22 13:17:44 EDT
I have same problem on ASUS F5RL notebook (ATI Technologies Inc RC410 [Radeon Xpress 200M]) with "radeon" driver.

With nomodeset:
- Fedora booting in text mode
- X don't start - black screen only
- power button only working

Without nomodeset:
- Plymouth starts
- corrupted screen on X start
- mouse cursor still moves, but nothing responds
- power button only can shut down notebook

Installed components:
xorg-x11-drv-ati-6.12.2-16.fc11.i586
xorg-x11-server-Xorg-1.6.1.901-1.fc11.i586
kernel-2.6.29.4-167.fc11.i586
Comment 50 Marek Lipus 2009-06-22 13:19:54 EDT
Created attachment 348947 [details]
Xorg.0.log with nomodeset
Comment 51 Marek Lipus 2009-06-22 13:20:54 EDT
Created attachment 348949 [details]
Xorg.0.log without nomodeset
Comment 52 Marek Lipus 2009-06-22 13:22:57 EDT
Created attachment 348950 [details]
Kernel failure
Comment 53 Matěj Cepl 2009-06-23 06:04:42 EDT
Does adding

Options "DRI" "false"

to the video driver section of xorg.conf (see https://fedoraproject.org/wiki/How_to_create_xorg.conf for how to create one, if you don't have it) help?
Comment 54 Chris A 2009-06-23 10:26:48 EDT
I tried this but it does not solve the firefox freezing problem.
Comment 55 Jason Wilson 2009-06-23 20:25:49 EDT
Disabling DRI for me does work.

Performance is not very good, but basically usable.

Though, I haven't had the Firefox causing freeze problems - just corrupt or blank screens on boot.
Comment 56 Tomasz Chrzczonowicz 2009-06-24 08:30:43 EDT
Section "Device"
	Identifier  "Videocard0"
	Driver      "radeon"
	Option "AccelMethod" "XAA"
	Option "AccelDFS" "off"
	Option "DRI" "off"
EndSection

This way I can get past gdm without X hanging the whole computer. So yes, it helps.
Comment 57 André Ericson 2009-06-27 14:12:50 EDT
Is it possible to change the name of the bug? since this happens not only in the preview but in the F11 indeed. Or should I go for a different bug?
Comment 58 Mitch Davis 2009-06-27 19:09:43 EDT
No no, this is the right bug. :-)

Maybe we should take any mention of Fedora version out, as I haven't been able to run the xorg-x11-drv-ati driver since half way through F9 :-(
Comment 59 Tomasz Chrzczonowicz 2009-06-28 04:29:15 EDT
xorg-x11-drv-ati worked ok with KMS for me in F10.
Comment 60 Matěj Cepl 2009-06-30 02:36:12 EDT
*** Bug 470797 has been marked as a duplicate of this bug. ***
Comment 61 Matěj Cepl 2009-06-30 05:05:04 EDT
*** Bug 450748 has been marked as a duplicate of this bug. ***
Comment 62 Matěj Cepl 2009-06-30 05:18:00 EDT
*** Bug 467983 has been marked as a duplicate of this bug. ***
Comment 63 Matěj Cepl 2009-06-30 05:18:54 EDT
*** Bug 475099 has been marked as a duplicate of this bug. ***
Comment 64 Henrik Nordström 2009-06-30 05:38:04 EDT
As I have been tracking a similar problem now filed as a duplicate I like to note my findings here. In my case I have this controller:

01:05.0 VGA compatible controller: ATI Technologies Inc RS482 [Radeon Xpress 200]

And it nowdays runs stable. The culpit for me seems to be the amount of memory assigned to the graphics. If set too low X hangs after a while and before that graphics starts to get a little messed up in various ways.
Comment 65 Matěj Cepl 2009-06-30 07:53:22 EDT
*** Bug 464383 has been marked as a duplicate of this bug. ***
Comment 66 Matěj Cepl 2009-06-30 07:54:12 EDT
*** Bug 507176 has been marked as a duplicate of this bug. ***
Comment 67 Pietro Incardona 2009-06-30 10:39:03 EDT
May be i am in wrong, but for mcpepl@redhat.com. Are you sure that this bug is a duplicate of my bug 507176 ?
Comment 68 David Rees 2009-06-30 11:04:44 EDT
I could be wrong, too, but is my bug 450748 really a dupe as well?

My system doesn't hang like the others in this bug report, it works well except for VT switching.

The only thing it has in common with this bug is that it has screen corruption and the notebook has an ATI video card, but a RS485, not the same as the RS482 as most others in this bug seem to have.

At least this bug has some activity on it.  I opened mine a year ago on F9 and it hasn't been touched except by bugzappers.
Comment 69 Matěj Cepl 2009-06-30 11:55:58 EDT
(In reply to comment #67)
> May be i am in wrong, but for mcpepl@redhat.com. Are you sure that this bug is
> a duplicate of my bug 507176 ?  

No, I am not, but the point of this deduplication (and yes I could make your bugs block this one or other way around) is that support for Xpress 200M and its relatives is just in shambles as it seems. There are scores of bugs which says more or less just that. So, I would like to beat the driver into submission first, and then we go back to testing, which particular part is not OK yet.
Comment 70 Pete Zaitcev 2009-06-30 19:21:18 EDT
Created attachment 350034 [details]
unreadable text screencap

Here's another funny failure mode on RS482 / Xpress 200M. After left to
blank, screen goes completely unreadable. The effect is as if the number
of colors goes to 16.

xorg-x11-drv-ati-6.12.2-19.fc12.x86_64
xorg-x11-server-common-1.6.99-6.20090618.fc12.x86_64
xorg-x11-server-devel-1.6.99-6.20090618.fc12.x86_64
xorg-x11-server-utils-7.4-7.fc11.x86_64
xorg-x11-server-Xorg-1.6.99-6.20090618.fc12.x86_64

Unfortunately, vesa is busted on this system, so I cannot use it.
Comment 71 Matěj Cepl 2009-07-02 12:14:13 EDT
*** Bug 505467 has been marked as a duplicate of this bug. ***
Comment 72 Larry Eppley 2009-07-08 08:30:09 EDT
Same problem.  toshiba A135-S2246 ati radeon xpress200
Comment 73 ymedians 2009-07-20 09:48:23 EDT
Same problem on Toshiba Satellite L20 with ATI RADEON XPRESS 200M SERIES, I can't install Fedora 11... xorg-x11-drv-ati of Fedora 10 work fine.
Comment 74 Henrik Nordström 2009-08-05 21:54:09 EDT
Now I also get the "hang" others have mentioned. Randomly mainly when using Firefox X hangs. It's still possible to SSH into the machine, but Xorg is running at 100% CPU and can not be killed (not even by "kill -9"), and additionally rebooting with "reboot -f" also hangs 9 of 10 attempts (worked once).

Booting with nomodesetting seems to solve this problem for me.
Comment 75 Jens Petersen 2009-08-15 08:15:04 EDT
You may want to try xorg-x11-drv-ati-6.12.2-21.fc12 in rawhide (f12alpha)
my radeon xpress boots with that.
Comment 76 Mitch Davis 2009-08-15 10:39:32 EDT
Thought I should add that adding "nomodeset" to the kernel args does NOT give me working X: I get the same hang as when I don't have nomodeset.  So I'm still unable to run F11 :-(
Comment 77 Henrik Nordström 2009-08-15 14:23:00 EDT
Can confirm that the rawhide driver seems to hold up much better.  Have been running it many hours now with no sign of lockups, and also note that VT switching seem to work much better now.

Installed it ontop of F11 by running:

  yum --enablerepo rawhide upgrade xorg-x11-server* xorg-x11-drv-* mesa-* libdrm

Installing only the xorg-x11-drv-ati driver did not work as the X11 ABI version differs.

Resulting in the following set of rawhide packages installed ontop of F11 with latest updates:

glibc.x86_64                          2.10.90-12                 @rawhide       
glibc-common.x86_64                   2.10.90-12                 @rawhide       
glibc-devel.x86_64                    2.10.90-12                 @rawhide       
glibc-headers.x86_64                  2.10.90-12                 @rawhide       
libdrm.x86_64                         2.4.12-0.6.fc12            @rawhide       
libpciaccess.x86_64                   0.10.6-7.fc12              @rawhide       
mesa-dri-drivers.x86_64               7.6-0.8.fc12               @rawhide       
mesa-libGL.x86_64                     7.6-0.8.fc12               @rawhide       
mesa-libGLU.x86_64                    7.6-0.8.fc12               @rawhide       
xorg-x11-drv-apm.x86_64               1.2.2-1.fc12               @rawhide       
xorg-x11-drv-ati.x86_64               6.12.2-21.fc12             @rawhide       
xorg-x11-drv-evdev.x86_64             2.2.99-5.20090730.fc12     @rawhide       
xorg-x11-drv-fbdev.x86_64             0.4.1-1.fc12               @rawhide       
xorg-x11-drv-keyboard.x86_64          1.3.99-3.20090715.fc12.1   @rawhide       
xorg-x11-drv-mouse.x86_64             1.4.99-3.20090619.fc12.1   @rawhide       
xorg-x11-drv-vesa.x86_64              2.2.1-1.fc12               @rawhide       
xorg-x11-drv-void.x86_64              1.2.0-3.fc12.1             @rawhide       
xorg-x11-server-Xorg.x86_64           1.6.99-33.20090807.fc12    @rawhide       
xorg-x11-server-common.x86_64         1.6.99-33.20090807.fc12    @rawhide       



Note: Don't do this unless you are prepared to reinstall F11 later or feel comfortable with using rpm manually to revert to F11 versions of these packages..
Comment 78 Henrik Nordström 2009-08-15 15:33:25 EDT
Sorry to say but the rawhide version did not help for the random hangs problem. Just lasted a little longer than usual, but then suddently a click on a tab in firefox and it hang Xorg again unkillable at 100% CPU after a while and impossible to reboot (not even "reboot -f -n").
Comment 79 Tomasz Chrzczonowicz 2009-08-25 06:55:51 EDT
I think this bug should be a blocker for Fedora 12.

https://fedoraproject.org/wiki/QA/ReleaseCriteria
Comment 80 Alex Villacís Lasso 2009-08-28 17:09:24 EDT
Created attachment 359117 [details]
Xorg log for Fedora 12 alpha on Radeon Xpress 200M RC410

I have tried the alpha release of Fedora 12 LiveCD with kernel modesetting. When allowed to boot normally on my machine, the display appears normal, but no display effects are active. When attempting to enable them, the X server crashes with the backtrace as shown in the log file.

01:05.0 VGA compatible controller: ATI Technologies Inc RC410 [Radeon Xpress 200] (prog-if 00 [VGA controller])
	Subsystem: Intel Corporation Device d600
	Flags: bus master, 66MHz, medium devsel, latency 64, IRQ 17
	Memory at d8000000 (32-bit, prefetchable) [size=128M]
	I/O ports at ee00 [size=256]
	Memory at fdef0000 (32-bit, non-prefetchable) [size=64K]
	[virtual] Expansion ROM at fde00000 [disabled] [size=128K]
	Capabilities: [50] Power Management version 2
	Capabilities: [80] Message Signalled Interrupts: Mask- 64bit- Count=1/1 Enable-

No strange messages appear on dmesg output.
Comment 81 Luca Giuzzi 2009-08-31 09:20:15 EDT
*** Bug 509372 has been marked as a duplicate of this bug. ***
Comment 82 Don Lindsay 2009-09-05 00:25:21 EDT
Bugs 436632, 491399,  501095,  505207,  506588 look like duplicates of this one.
Comment 83 Ben Engbers 2009-09-05 12:10:31 EDT
(In reply to comment #26)
> Renato de Oliveira Diogo and b.tataroiu, what graphics chip do you have in your
> computer?  Can you run "lspci | grep VGA" and put the results here?  
I'm having the sane problem in FC 11 (already since using FC 10) and my output is:

lspci | grep VGA
01:00.0 VGA compatible controller: ATI Technologies Inc M56P [Radeon Mobility X1600]
Comment 84 Jens Petersen 2009-10-14 20:05:33 EDT
Perhaps you can try F12Beta (out shortly): it works with my Xpress 200.
Comment 85 Cbalducci 2009-10-22 05:37:49 EDT
Confirmed, F12 Beta works ok with my compaq nx6325 Xpress 200m, including Compiz and dual head, both cloned and extended! Weird thing is only 3/4 of my screen gets "accelerated" if I turn on compiz but maybe it's just a vram quantity problem.
Comment 86 Luca Giuzzi 2009-10-22 06:05:28 EDT
I confirm as well; rawhide seems to work well with my RC410 [Radeon Xpress 200],
including kernel modesetting and  GL acceleration.
Comment 87 Matěj Cepl 2009-11-05 13:27:54 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 88 Vasily 2009-11-05 15:21:24 EST
I tried the latest LiveMedia and I still have this problem.
Comment 89 Jens Petersen 2009-11-06 00:12:17 EST
(In reply to comment #88)
> I tried the latest LiveMedia and I still have this problem.  

Not sure what you mean by latest,
but I am pretty sure it doesn't work
a respin of f11 with updates either.
Comment 90 Patrick Massey 2009-11-06 11:36:15 EST
I tried the F12 Beta Live CD for x86 - everything worked before I installed updates.  As of early this morning (kernel 2.6.31.5-117) without disabling modeset the system would boot to the GDM login screen and then hang.  Booting with nomodeset results in many programs causing X to crash (such as gnome-system-monitor).  Updating system now (I see new kernel builds).
Comment 91 Vasily 2009-11-07 10:43:40 EST
(In reply to comment #89)
> Not sure what you mean by latest,

I mean the nightly LiveMedia at http://alt.fedoraproject.org/pub/alt/nightly-composes/
Comment 92 Richard Haakma 2009-11-08 17:34:55 EST
I upgraded my IBM/Lenovo R51e to the current Rawhide as of 8 November (F12 beta).  A couple of minutes after starting, the X server crashes showing random lines on screen regardless of activity.  Adding nomodeset to the kernel command line makes it better but not perfect.  It has been running for an hour or so.  But it has crashed several times while running Firefox and browsing pages from www.burtonpower.com, this time exiting the X server and restarting it to get gdm.  I will keep trying as new updates arrive.
Comment 93 Patrick Massey 2009-11-08 17:56:33 EST
(In reply to comment #92)
> I upgraded my IBM/Lenovo R51e to the current Rawhide as of 8 November (F12
> beta).  A couple of minutes after starting, the X server crashes showing random
> lines on screen regardless of activity.  Adding nomodeset to the kernel command
> line makes it better but not perfect.  It has been running for an hour or so. 
> But it has crashed several times while running Firefox and browsing pages from
> www.burtonpower.com, this time exiting the X server and restarting it to get
> gdm.  I will keep trying as new updates arrive.  

Same thing that I was trying to explain in post 90.
Comment 94 crashflow 2009-11-09 09:01:41 EST
I also have an ATI Radeon XPress 200m in a Samsung R41 laptop. When booting an updated F12 on rawhide normally, the screen goes black before the login screen and remains that way.

When booting with nomodeset at runlevel 3 and then startx with my normal user, the screen also goes black. However, when logging in as root with nomodeset and runlevel 3, I can successfully start X and work without crash (everything is running fine, even Firefox). Logging in with other accounts (guest account etc) leads to a crash like logging in with my normal user.
Comment 95 Jerome Glisse 2009-11-10 08:43:50 EST
Please provide kernel version & full dmesg you are using, i don't have any issue here with my xpress 200 with the lastest kernel.
Comment 96 crashflow 2009-11-10 08:59:19 EST
Jerome, since the updates installed yesterday the problem (partially) disappeared. I still cannot boot with KMS since this will result in a black screen. However, after booting with nomodeset and runlevel 3, I can login with any user now and start and use X without crash.

I will post more information later since I do not have access to my system right now.
Comment 97 Richard Haakma 2009-11-10 17:07:29 EST
Created attachment 368955 [details]
dmesg on Lenovo with X200

I was attempting to get a post-crash dmesg by plugging in an ethernet connection (I normally use wireless), when the X server did not crash.  It is running now, with ethernet connected.  I don't know if this is repeatable yet.  The wireless interface is an Atheros BG chipset.  The ethernet is a Broadcom chip.  Other people affected should try with/without an ethernet connection or wireless connection to see if it makes a difference to them.

00:00.0 Host bridge: ATI Technologies Inc Device 5a31 (rev 01)
00:01.0 PCI bridge: ATI Technologies Inc RS480 PCI Bridge
00:04.0 PCI bridge: ATI Technologies Inc RS480 PCI Bridge
00:06.0 PCI bridge: ATI Technologies Inc RS480 PCI Bridge
00:13.0 USB Controller: ATI Technologies Inc IXP SB400 USB Host Controller
00:13.1 USB Controller: ATI Technologies Inc IXP SB400 USB Host Controller
00:13.2 USB Controller: ATI Technologies Inc IXP SB400 USB2 Host Controller
00:14.0 SMBus: ATI Technologies Inc IXP SB400 SMBus Controller (rev 11)
00:14.1 IDE interface: ATI Technologies Inc IXP SB400 IDE Controller
00:14.3 ISA bridge: ATI Technologies Inc IXP SB400 PCI-ISA Bridge
00:14.4 PCI bridge: ATI Technologies Inc IXP SB400 PCI-PCI Bridge
00:14.5 Multimedia audio controller: ATI Technologies Inc IXP SB400 AC'97 Audio Controller (rev 02)
00:14.6 Modem: ATI Technologies Inc SB400 AC'97 Modem Controller (rev 02)
01:05.0 VGA compatible controller: ATI Technologies Inc RC410 [Radeon Xpress 200M]
02:00.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5751F Fast Ethernet PCI Express (rev 21)
04:00.0 CardBus bridge: Texas Instruments PCI1510 PC card Cardbus Controller
04:02.0 Ethernet controller: Atheros Communications Inc. Atheros AR5001X+ Wireless Network Adapter (rev 01)
Comment 98 Richard Haakma 2009-11-10 17:12:56 EST
Created attachment 368960 [details]
dmesg from Lenovo X200 post crash

Ah it did eventually crash, it just took longer.  Ssh connection still up.  Post crash dmesg attachment posted.
Comment 99 Bug Zapper 2009-11-16 04:57:27 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 100 António Lima 2009-11-16 12:13:41 EST
I'm experiencing issues similar to these, so I think I'm affected by the same bug. I'm running F21 (rawride) up-to-date and using the radeon driver with a radeon hd3400. With KMS enabled, and after a few minutes of use, the screen gets totaly dark and I can't switch to another tty.

If and "nomodeset" to the kernel arguments this does not happen. I tried to disble wireless as someone said but that does not work.

I've tried with no xorg.conf and with my previous xorg.conf from F11.

I'll attach my lspci -v and Xorg.log.

Let me know if I can provide more info.

This might be another problem but with "nomodeset" the mesa Dri suffers and, for example, running glxgears I get this message: 
IRQ's not enabled, falling back to busy waits: 2 0

And I can't enable compiz, all the windows turn grey.
Comment 101 António Lima 2009-11-16 12:16:38 EST
Created attachment 369750 [details]
Xorg log
Comment 102 António Lima 2009-11-16 12:17:12 EST
Created attachment 369751 [details]
lspci
Comment 103 António Lima 2009-11-23 07:41:38 EST
Following yesterday's updates (kernel 2.6.31.6-134.fc12.x86_64, xorg, mesa-dri) I still have this issue. Another problem came up, I have no 3d acceleration. Running glxgears gives me this error:

IRQ's not enabled, falling back to busy waits: 2 0
drmRadeonCmdBuffer: -22. Kernel failed to parse or rejected command stream. See dmesg for more info.

I'll attach my dmesg.

Note that I have fedora-updates-testing repository enabled.
Comment 104 António Lima 2009-11-23 07:42:38 EST
Created attachment 373095 [details]
dmesg
Comment 105 Pietro Incardona 2009-11-23 08:01:54 EST
I removed myself from CC List, but i continue to have SPAM from this bug, if some admin read this message can please remove my E-Mail from this bug ? Thanks
Comment 106 Craig Anthony 2009-11-29 03:45:27 EST
After installing F12+latest updates on my ThinkPad T60p [8744-5BU] with Radeon Mobility X1400 had a similar problem with often failing to boot with garbage on the screen, hanging with screen corruption after some time running X, and screen corruption after waking from sleep.

I have been able to workaround these problems (so far) by adding the "nomodeset" kernel option, although this workaround apparently prevents setting the text console mode to anything more than default 80x25.
Comment 107 jrh 2009-12-29 07:36:22 EST
I have similar issues with ThinkPad T400 with Radeon 3470.'
Running F12 with the latest updates.
The workarounds mentioned in
https://fedoraproject.org/wiki/Common_F12_bugs#Miscellaneous_problems_with_ATI_.2F_AMD_graphics_adapters
does not work.
Adding the "nomodeset" kernel option does not allow boot the system at all.
Setting
Option "AccelMethod" "XAA"
Option "AccelDFS" "off"
Option "DRI" "off"
allow me log in, but xorg/kernel hangs or crash after a while.
Comment 108 Alexey Kuznetsov 2009-12-29 07:50:51 EST
I found simple workaround for it by booting your kenrel with UMS mode and framebuffer enabled. Like that:

nomodeset vga=791
Comment 109 jrh 2009-12-29 13:35:24 EST
Correction for above - with the "nomodeset" kernel option can boot, but it does not work properly.
Comment 110 Alexey Kuznetsov 2009-12-29 13:42:03 EST
vga option enable framebuffer mode, which allow me to suspend/resume, and i have no other problems with booth those parameters.
Comment 111 jrh 2009-12-29 14:47:46 EST
Initial test shows that the parameter vga=791 is a valid workaround - need more test though. But I also need create manually the xorg.conf file (which is not created as default) and set the proper screen modes.
Comment 112 Jerome Glisse 2010-01-11 07:22:07 EST
This bug have been poluted.From what i can see the original issue is fixed thus i am going to close it. Haakma you are experiencing GPU lockup this is another bug (you could open a new one for that).

Lima you are experiencing GPU lockup but on different GPU thus it's a different bug. If you still have this issue with the lastest fedora 12 package please open a new bug.

Jrh you too have a different issue, looks like GPU lockup by guessing. If you still have this issue with KMS please open a bug.

As a general advice when it comes to hw issue it very unlikely that you suffer from the same bug as others with different hw even if log message are similar.
Comment 113 Richard Haakma 2010-01-11 22:18:14 EST
Hi.  Thanks for your comments Jerome.  The X driver for my notebook has not worked properly during both F11 and F12 to date.  I have solved it though:  last week my filesystem got hugely corrupted during bootup of F12, then I installed the current version of Ubuntu which runs the graphics just fine.  Unfortunately I now can't test any new kernels or Xorg packages from Fedora.
Comment 114 Leho Kraav 2010-01-12 04:27:35 EST
sorry for OT, but seeing how this Xpress 200M problem develops makes me want to chime in. running gentoo, i spent a *lot* of time trying to somehow configure and upgrade and help fix bugs in the radeon driver to get it to somehow run stable in a simple dual screen, tuxonice, occasional 3D, KMS setup. after an endless array of random graphics errors in 2D and 3D, black screens, erroneous resumes, all this different with every driver and kernel version.. simply diagnosing another latest crash was starting to kill me after a while.

i gave up. i installed xp home on this laptop, slapped the ancient 200m-compatible radeon omega driver on it. result: the laptop "just works". everything, 2D, 3D, sleep, hibernate, dualscreen, without any errors or crashes. so i also installed gentoo prefix on it and will simple try to make do with interix on the administration side.

the 200m is a sad sad piece of hardware, unfortunately coming from a time where linux support wasn't a priority for anyone. my hats are off to the engineers trying to work through it with the radeon driver. for me, the resource needed to run linux on that laptop simply ran out.

Note You need to log in before you can comment on or make changes to this bug.